Bug 145050 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,embargoed=20050118
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 17:35 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:41:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-13 17:35:40 EST
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]

This issue should also affect FC2
Comment 1 Josh Bressers 2005-01-14 07:17:17 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 2 Josh Bressers 2005-01-18 16:56:45 EST
Lifting embargo.
Comment 3 Ngo Than 2005-01-20 08:36:46 EST
it's now fixed in xpdf-3.00-3.7.
Comment 4 Mark J. Cox (Product Security) 2005-03-18 04:41:58 EST
        CAN-2005-0064 Affects: FC2 [#145050:MODIFIED] -> 2005-051 20050120
        CAN-2005-0064 Affects: FC3 [#145050:MODIFIED] -> 2005-052 20050120

Note You need to log in before you can comment on or make changes to this bug.